export declare type ClientMethodTemplateArgs = {
    httpMethod: string;
    methodName: string;
    openApiPath: string;
    queryParams: {
        name: string;
        required: boolean;
    }[];
    headerParams: {
        name: string;
        required: boolean;
    }[];
    pathParams: string[];
    body: {
        type: 'json';
        jsonType: string;
        required: boolean;
    } | {
        type: 'form';
        fields: {
            name: string;
            required: boolean;
            binary: boolean;
        }[];
        required: boolean;
    } | null;
    responses: ({
        statusCode: 'default' | string;
    } & ({
        type: 'json';
        jsonType: string;
    } | {
        type: 'binary' | 'none';
    }))[];
};
export declare const clientMethodTemplate: ({ httpMethod, methodName, openApiPath, pathParams, queryParams, headerParams, body, responses }: ClientMethodTemplateArgs) => string;
